Skip to main content
PUT
Edit quote

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

quoteUid
string
required

UID of the quote

Body

application/json

Updated quote data

analyse
object
required
priceList
object
required
project
object
required

Reference to an object by its unique identifier

additionalSteps
object[]

Additional workflow steps. When editing, omitting it or sending an empty list keeps the existing steps.

name
string

Name of the quote. When editing, omitting it clears the name.

Maximum string length: 255
netRateScheme
object
pricing
object[]

Price overrides per part and workflow step. When editing, omitting it or sending an empty list keeps the existing prices.

provider
object
units
object[]

Units per workflow step. Either workflowSettings or units must be sent for billing unit Hour.

workflowSettings
object[]

Workflow steps included in the quote. Either workflowSettings or units must be sent for billing unit Hour.

Response

Accepted

analyse
object
billingUnit
enum<string>
Available options:
Character,
Word,
Page,
Hour
createdBy
object
currency
string
customerEmail
string
dateCreated
string<date-time>
editable
boolean
id
integer<int64>
name
string
netRateScheme
object
outdated
boolean
partData
object[]
priceList
object
provider
object
quoteType
enum<string>
Available options:
BUYER,
PROVIDER
status
enum<string>
Available options:
APPROVED,
DECLINED,
DRAFT,
FOR_APPROVAL,
NEW
totalPrice
number<double>
uid
string
workflowStepList
object[]